'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _weexModule = require('../rap/weex-module');

var _env = require('../env');

var _util = require('../util');

function getIdentity() {
  return new Promise(function (resolve, reject) {
    if (_env.isWeex) {
      var Windvane = (0, _weexModule.requireModule)('windvane');
      if (Windvane && Windvane.call) {
        Windvane.call({
          class: 'AliHelper',
          method: 'isBuyer',
          data: {}
        }, function (e) {
          var res = (0, _util.parse2json)(e);
          if (String(res.success) === 'true') {
            var data = res.data;
            if (data) {
              resolve({
                isBuyer: String(data.isBuyer) === 'true'
              });
            }
          } else {
            reject({
              msg: '格式 不符合标准'
            });
          }
        });
      }
    } else {
      reject({
        msg: '不支持此Bridge'
      });
    }
  });
}

exports.default = { getIdentity: getIdentity };
module.exports = exports['default'];