'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('../rap');

var _rap2 = _interopRequireDefault(_rap);

var _windvane = require('../windvane');

var _windvane2 = _interopRequireDefault(_windvane);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLASS_NAME = 'PluginManage';

var pluginManage = {
  updatePluginList: function updatePluginList(callback) {
    return _rap2.default.invoke({
      className: CLASS_NAME,
      methodName: 'updatePluginList',
      param: {}
    }, callback);
  },
  setPluginsGray: function setPluginsGray(appKeys, callback) {
    if (typeof appKeys === 'string') {
      appKeys = [appKeys];
    }

    return _rap2.default.invoke({
      className: CLASS_NAME,
      methodName: 'setPluginsGray',
      param: {
        appKeys: appKeys
      }
    }, callback);
  },
  updatePluginListByWV: function updatePluginListByWV(callback) {
    return _windvane2.default.call(CLASS_NAME, 'updatePluginList', {}, callback);
  },
  setPluginsGrayByWV: function setPluginsGrayByWV(appKeys, callback) {
    if (typeof appKeys === 'string') {
      appKeys = [appKeys];
    }

    return _windvane2.default.call(CLASS_NAME, 'setPluginsGray', {
      appKeys: appKeys
    }, callback);
  }
};

exports.default = pluginManage;
module.exports = exports['default'];