'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('../rap');

var _rap2 = _interopRequireDefault(_rap);

var _util = require('../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var className = 'biz';
var methodName = 'openShareComponent';
var url = 'http://cui.m.1688.com/weex/weex_dacu/3139.html?__positionId__=weex_dacu&__pageId__=3139&__weex__=true';
var picUrl = 'https://gw.alicdn.com/tfs/TB1isFOcgMPMeJjy1XcXXXpppXa-750-473.jpg_10000x340q60.jpg';

var share = function share(options, callback) {
  var share = _rap2.default.requireModule('share');
  callback = callback || function () {};
  if (!share.doShare) {
    console.error('no support share');
    return;
  }
  options = options || {};

  // @shareToken@
  // @shareUrl@
  var param = {};
  param.title = options.title;
  param.url = options.url;
  if (options.picUrl) {
    param.picUrl = options.picUrl;
  }
  // 好像无用
  // param.content = options.content;
  param.webUrl = options.webUrl;

  param.formWhere = options.formWhere;
  param.companyName = options.companyName;

  param.leftButtonName = options.leftButtonText;
  param.rightButtonName = options.rightButtonText;

  param.isUserToken = options.isUserToken;
  param.typeQr = judgeTypeQr(options.typeQr);
  param.template = formatTemplate(options.template, options.isUserToken);

  share.doShare && share.doShare(param, callback);
};

function judgeTypeQr(type) {
  // typeQr: 当isUserToken 为false 的时候可用， WEB 【text, imgtext, web】
  var typeQr = {
    text: 1,
    imgtext: 1,
    web: 1
  };

  if (typeQr[type]) {
    return type;
  } else {
    console.log('不存在');
    return '';
  }
}

function formatTemplate(str, isUserToken) {
  var TOKEN_FLAG = '@shareToken@';
  var URL_FLAG = '@shareUrl@';
  var res = void 0;
  if (isUserToken) {
    res = str.replace(TOKEN_FLAG, 'sk_share_token').replace(URL_FLAG, 'sk_share_url');
  } else {
    res = str.replace(TOKEN_FLAG, '').replace(URL_FLAG, '');
  }
  return res;
}

exports.default = share;
module.exports = exports['default'];