'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('./rap');

var _rap2 = _interopRequireDefault(_rap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLASS_NAME = 'LocalStorage';
var localstore = {
  getItem: function getItem(key) {
    return _rap2.default.invoke({
      className: CLASS_NAME,
      methodName: 'get',
      param: {
        key: key
      }
    });
  },
  setItem: function setItem(key) {
    if (!key) {
      console.error('must pass key');
    }
    return _rap2.default.invoke({
      className: CLASS_NAME,
      methodName: 'set',
      param: key
    });
  },
  removeItem: function removeItem(key) {
    if (!key) {
      console.error('must pass key');
    }
    return _rap2.default.invoke({
      className: CLASS_NAME,
      methodName: 'remove',
      param: {
        key: key
      }
    });
  },
  getKeys: function getKeys() {
    return _rap2.default.invoke({
      className: CLASS_NAME,
      methodName: 'getKeys',
      param: {}
    });
  }
};
exports.default = localstore;
module.exports = exports['default'];