'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('./rap');

var _rap2 = _interopRequireDefault(_rap);

var _env = require('./env');

var _app = require('./app');

var _app2 = _interopRequireDefault(_app);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function requestByRap(options, successCallback, failureCallback) {
  if (_env.isWeb) {
    console.warn('请使用【阿里巴巴-客户端】调用此接口');
    return null;
  }

  return _rap2.default.call({
    className: 'mtop',
    methodName: 'request',
    options: options
  }).then(successCallback, failureCallback);
}

function requestByRapV2(options, successCallback, failureCallback) {
  if (_env.isWeb) {
    console.warn('请使用【阿里巴巴-客户端】调用此接口');
    return null;
  }

  var className = 'postmtop';
  if (_app2.default.isIOS) {
    className = 'mtop';
  }

  return _rap2.default.call({
    className: className,
    options: options,
    methodName: 'request'
  }).then(successCallback, failureCallback);
}

exports.default = {
  request: requestByRap,
  requestV2: requestByRapV2
};
module.exports = exports['default'];