'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isNumber = require('lodash/isNumber');

var _isNumber2 = _interopRequireDefault(_isNumber);

var _isObject = require('lodash/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

var _isArray = require('lodash/isArray');

var _isArray2 = _interopRequireDefault(_isArray);

var _version = require('./version');

var _version2 = _interopRequireDefault(_version);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _location = require('../location');

var _location2 = _interopRequireDefault(_location);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function each(obj, iterator) {
  var context = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

  if ((0, _isObject2.default)(obj) && !(0, _isArray2.default)(obj)) {
    for (var key in obj) {
      if (!obj.hasOwnProperty(key)) continue;
      if (iterator.call(context, obj[key], key, obj) === false) break;
    }
  } else if ((0, _isNumber2.default)(obj.length)) {
    for (var i = 0; i < obj.length; i++) {
      if (iterator.call(context, obj[i], i, obj) === false) break;
    }
  } else {
    console.warn('must pass [object | array | number]');
  }
}

function parse2json(jsonStr) {
  if (typeof jsonStr === 'string') {
    try {
      return JSON.parse(jsonStr);
    } catch (e) {
      return {
        parseError: jsonStr
      };
    }
  }

  return jsonStr;
}

function getAppKeyByRapURL(url) {
  var regAppKey = /rap:\/\/openplugin\/(\d+)\//g;
  var regAppKeyNew = /rap:\/\/openplugin\/(\d+)/g;
  var regAirAppKey = /1688\.com\/rap\/(\d+)\//g;
  var regCdnAppKey = /g\.alicdn\.com\/rap\/(\d+)/g;

  var res = void 0;
  if (url.indexOf('rap://openplugin') >= 0) {
    res = regAppKey.exec(url) || regAppKeyNew.exec(url);
  } else if (url.indexOf('1688.com/rap/') >= 0) {
    // http://air.1688.com/rap/123456/
    res = regAirAppKey.exec(url);
  } else if (url.indexOf('g.alicdn.com/rap/') >= 0) {
    res = regCdnAppKey.exec(url);
  }
  var appKey = void 0;
  if (res && res[1]) {
    appKey = res[1];
  }
  if (!appKey) {
    console.log('appKey is undefined');
  };
  return appKey;
}

function getAppKey() {
  return getAppKeyByRapURL(_location2.default.href);
}

exports.default = { each: each, Version: _version2.default, logger: _logger2.default, parse2json: parse2json, getAppKey: getAppKey };
module.exports = exports['default'];