'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * v1 > v2 return 1
 * v1 = v2 return 0
 * v1 < v2 return -1
 * @param  {String} v1
 * @param  {String} v2
 * @return {Number}
 */
function compare(v1, v2) {
  var v1Arr = void 0,
      v2Arr = void 0;
  try {
    v1Arr = v1.toString().split('.');
    v2Arr = v2.toString().split('.');
  } catch (ex) {
    throw 'version argument is required and must be string or number';
  }
  var len = Math.max(v1Arr.length, v2Arr.length);
  for (var i = 0; i < len; i++) {
    v1Arr[i] = parseInt(v1Arr[i]) || 0;
    v2Arr[i] = parseInt(v2Arr[i]) || 0;
    if (v1Arr[i] === v2Arr[i] && i + 1 === len) {
      return 0;
    }
    if (v1Arr[i] === v2Arr[i]) {
      continue;
    }
    if (v1Arr[i] > v2Arr[i]) {
      return 1;
    }
    return -1;
  }
}

var Version = function () {
  function Version(v) {
    _classCallCheck(this, Version);

    this.value = v;
  }

  _createClass(Version, [{
    key: 'eq',
    value: function eq(v) {
      return compare(this.value, v) === 0;
    }
  }, {
    key: 'gt',
    value: function gt(v) {
      return compare(this.value, v) > 0;
    }
  }, {
    key: 'gte',
    value: function gte(v) {
      return compare(this.value, v) >= 0;
    }
  }, {
    key: 'lt',
    value: function lt(v) {
      return compare(this.value, v) < 0;
    }
  }, {
    key: 'lte',
    value: function lte(v) {
      return compare(this.value, v) <= 0;
    }
  }]);

  return Version;
}();

exports.default = Version;
module.exports = exports['default'];