'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _env = require('../env');

var isWindVane = typeof WindVane !== 'undefined';
var WV = {};

WV.call = function (className, method, data) {
  return new Promise(function (resolve, reject) {
    if (_env.isWeex) {
      var Windvane = require('@weex-module/windvane');

      var options = {
        class: className,
        method: method,
        data: data
      };

      if (Windvane.call2) {
        Windvane.call2(options, function (result) {
          resolve(result);
        }, function (error) {
          reject(error);
        });
      } else if (Windvane.call) {
        Windvane.call(options, function (result) {
          resolve(result);
        });
      }
      // eslint-disable-next-line
    } else if (isWindVane && WindVane.isAvailable) {
      // eslint-disable-next-line
      WV.isAvailable = WindVane.isAvailable;
      // eslint-disable-next-line
      WindVane.call(className, method, data, function (result) {
        resolve(result);
      }, function (error) {
        reject(error);
      });
    } else {
      // 失败
      reject({
        msg: '浏览器不支持 windvane',
        ret: ['HY_NOT_SUPPORT_DEVICE']
      });
    }
  });
};

exports.default = WV;
module.exports = exports['default'];